/*
 *  Copyright (C) 2009  Giorgio Wicklein <g.wicklein@giowisys.com> 
 *  
 *  This file is part of Kontakter.
 *
 *  Kontakter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Kontakter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Kontakter.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QtGui>

#include "localpage.h"

/* _________________________________PUBLIC__________________________________ */

//// constructor
LocalPage::LocalPage(QWidget *parent) : QWidget(parent)
{
//// main message
    mainLabel = new QLabel(tr(
            "<h3>Account created successfully!</h3>"
            "Now you can start using Kontakter. We hope you enjoy it!"  //FIXME: remove that gay message :P
                           ), this);
//// finish button
    finishButton = new QPushButton(tr("&Finish"), this);
    finishButton->setFocus();

//// connections
    connect(finishButton, SIGNAL(clicked()),
            this, SIGNAL(createLocalAccountSignal()));

//// layouts
    mainLayout = new QGridLayout;
    mainLayout->addWidget(mainLabel, 0, 0, 3, 3, 0);
    mainLayout->addWidget(finishButton, 4, 1, 1, 1, 0);

    setLayout(mainLayout);
}

/* _________________________________________________________________________ */
