/*
 *  Copyright (C) 2009  Giorgio Wicklein <g.wicklein@giowisys.com> 
 *  
 *  This file is part of Kontakter.
 *
 *  Kontakter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Kontakter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Kontakter.  If not, see <http://www.gnu.org/licenses/>.
 */

/* This widget is shown in the NewAccountWidget, the stacked widget, at index 1
 * when the user selected the local account type in page_1 widget.
 */

#ifndef LOCALPAGE_H
#define LOCALPAGE_H

#include <QWidget>

class QPushButton;
class QLabel;
class QGridLayout;

class LocalPage : public QWidget
{
    Q_OBJECT

public:
    LocalPage(QWidget *parent = 0);

signals:
    void createLocalAccountSignal();

private:
    QLabel *mainLabel;
    QGridLayout *mainLayout;
    QPushButton *finishButton;
};

#endif // LOCALPAGE_H
