/*
 *  Copyright (C) 2009  Giorgio Wicklein <g.wicklein@giowisys.com> 
 *  
 *  This file is part of Kontakter.
 *
 *  Kontakter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Kontakter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Kontakter.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QtGui>

#include "searchwidget.h"

/* _________________________________PUBLIC__________________________________ */

//// constructor
SearchWidget::SearchWidget(QWidget *parent) : QWidget(parent)
{
//// search line edit
    searchLineEdit = new QLineEdit(this);
    searchLineEdit->setStyleSheet(
            "padding-left: 12px;"
            "margin-left: 1px;"
            "margin-right: 1px;"
            "padding-right: 5px;"
            "background: url(:/icons/search.png);"
            "background-position: left;"
            "background-repeat: no-repeat;"
            "border-radius: 10px;"
            "border: 1px solid gray;"
            );

//// layout
    mainLayout = new QHBoxLayout;
    mainLayout->addWidget(searchLineEdit);
    setLayout(mainLayout);
}

/* _________________________________________________________________________ */
